/**
 * Getting Started with Capture.
 * 
 * Reading and displaying an image from an attached Capture device. 
 */ 
 
import processing.video.*;

Capture cam;
MovieMaker mm;

void setup() {
  size(320, 240);

  // If no device is specified, will just use the default.
  cam = new Capture(this, 320, 240);

  // To use another device (i.e. if the default device causes an error),  
  // list all available capture devices to the console to find your camera.
  //String[] devices = Capture.list();
  //println(devices);
  
  // Change devices[0] to the proper index for your camera.
  //cam = new Capture(this, width, height, devices[0]);

  // Opens the settings page for this capture device.
  //camera.settings();
  
    // Save uncompressed, at 15 frames per second
  //mm = new MovieMaker(this, width, height, "littlemovie.mov");
  
  // Or, set specific compression and frame rate options
  mm = new MovieMaker(this, 320, 240, "littlemovie.mov", 30, 
                      MovieMaker.ANIMATION, MovieMaker.HIGH);

}

void draw() {
  // first check if camera is ok
  if (cam.available() == true) {

    // get frame from camera
    cam.read();
    
    // display frame on screen
    image(cam, 0, 0);
    
    // write frame to movie file
    mm.addFrame();
  }
} 

void keyPressed() {
  if (key == ' ') {
    // Finish the movie if space bar is pressed
    mm.finish();
    // Quit running the sketch once the file is written
    exit();
  }
}

